ru.bitel.bgbilling.kernel.contract.status.server.bean

## Class ContractStatusMonitorDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<MonitorStatusResult>
  - - ru.bitel.bgbilling.kernel.contract.status.server.bean.ContractStatusMonitorDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractStatusMonitorDao
      extends ru.bitel.common.dao.AbstractDao<MonitorStatusResult>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `BALANCE_DUMP_TABLE`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractStatusMonitorDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchResult<MonitorStatusResult>` | `contractSearch(int saldoShowMode, int saldoAccountMonths, float serviceAccountMaxValue, java.lang.String serviceAccountMaxServices, java.lang.String status, int mode, int subContract, int balanceLimit, int balancePrevLimit, int statusPeriod, java.lang.String statusPeriodUnit, long group, long notGroup, java.lang.String saldoFrom, java.lang.String saldoTo, java.math.BigDecimal saldoAcconuntsMore, java.lang.String sort, Page page)`
    `java.util.Calendar` | `createBalanceDump()`
    `protected MonitorStatusResult` | `getFromRS(java.sql.ResultSet rs)`
    `protected void` | `updateImpl(MonitorStatusResult b)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BALANCE_DUMP_TABLE

          protected static final java.lang.String BALANCE_DUMP_TABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractStatusMonitorDao

          public ContractStatusMonitorDao(java.sql.Connection con)

  - ### Method Detail

    - #### createBalanceDump

          public java.util.Calendar createBalanceDump()
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractSearch

          public SearchResult<MonitorStatusResult> contractSearch(int saldoShowMode,
                                                                  int saldoAccountMonths,
                                                                  float serviceAccountMaxValue,
                                                                  java.lang.String serviceAccountMaxServices,
                                                                  java.lang.String status,
                                                                  int mode,
                                                                  int subContract,
                                                                  int balanceLimit,
                                                                  int balancePrevLimit,
                                                                  int statusPeriod,
                                                                  java.lang.String statusPeriodUnit,
                                                                  long group,
                                                                  long notGroup,
                                                                  java.lang.String saldoFrom,
                                                                  java.lang.String saldoTo,
                                                                  java.math.BigDecimal saldoAcconuntsMore,
                                                                  java.lang.String sort,
                                                                  Page page)
                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(MonitorStatusResult b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<MonitorStatusResult>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### getFromRS

          protected MonitorStatusResult getFromRS(java.sql.ResultSet rs)
                                           throws java.sql.SQLException,
                                                  ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<MonitorStatusResult>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`